#!/bin/bash

STATUS=$(/usr/local/bin/pomodoro status)

if [ -z "$STATUS" ]; then
  sketchybar --set pomodoro icon="" \
                            label="Start a Session!" \
                            icon.color="0xffed8796" \
                            label.color="0xffed8796" 
elif /usr/local/bin/pomodoro status | grep -q "❗"; then
  sketchybar --set pomodoro icon="" \
                            label="Good Job!" \
                            icon.color="0xffed8796" \
                            label.color="0xffed8796" 
elif /usr/local/bin/pomodoro status | grep -q "🍅"; then
  sketchybar --set pomodoro icon="" \
                            label="$(/usr/local/bin/pomodoro status -f "%r")" \
                            icon.color="0xfff5bde6" \
                            label.color="0xfff5bde6" 
fi
