-- Pull in the wezterm API
local wezterm = require("wezterm")

-- require plugin

local sessionizer = wezterm.plugin.require("https://github.com/mikkasendke/sessionizer.wezterm")

-- initialize module vairable

local module = {}

local my_schema = {
	"default",
	" EDU",
	wezterm.home_dir .. "/Nextcloud/Vault/edu/ETH/fs25/nus_II",
	wezterm.home_dir .. "/Nextcloud/Vault/edu/ETH/fs25/physik_I",
	wezterm.home_dir .. "/Nextcloud/Vault/edu/ETH/fs25/analysis_II",
	wezterm.home_dir .. "/Nextcloud/Vault/edu/ETH/fs25/informatik_I",
	wezterm.home_dir .. "/Nextcloud/Vault/edu/ETH/fs25/grundzuege_recht",
	wezterm.home_dir .. "/Nextcloud/Vault/edu/ETH/fs25/mathematische_methoden",
	wezterm.home_dir .. "/Informatik_ETH/SS25/Informatik",
	"󱂒 Makerspace",
	wezterm.home_dir .. "/kicad",
	wezterm.home_dir .. "/Nextcloud/Vault/maker_space",
	"  DEV",
	sessionizer.FdSearch({ fd_path = "/opt/homebrew/bin/fd", wezterm.home_dir .. "/Projects" }),
}

-- key map

module.keys = {
	{
		key = "s",
		mods = "LEADER",
		action = sessionizer.show(my_schema),
	},
}

return module
